cancel
Showing results for 
Search instead for 
Did you mean: 

Magento Community Edition 1.9.2 Update failed

Magento Community Edition 1.9.2 Update failed

Hello world,

 

Today i did an upgrade to version 1.9.2.0 so that patch SUPEE-6285 also is installed, but halfway the installation (With magento connect) the console showed a error screen similar to wat you see when the maintenance.flag file is in your root (503 error). The maintenance.flag was indeed in the root, but very strange that it showed up in the console.

 

After removing the maintenance.flag the site stayed blank, also the admin page. I can acces the connect manager, but everything i want to install with the extension manager failes with this message "CONNECT ERROR: Package community/Interface_Adminhtml_Default failed: Unknown cipher in list: TLSv1"

 

How to fix this? If i look in the files, half of the files have the date of today and the other half an older date, so it looks to me that the installation broke down or something 

Tags (1)
14 REPLIES

Re: Magento Community Edition 1.9.2 Update failed

Add the maintenance.flag file to the root again. Download the Magento 1.9.2 zip and upload the files through FTP. Clean out /var/cache/ and remove the maintenance.flag after uploading the files and visit the frontend to update the site.

 

Optionally use the database repair tool to make sure all database changes have run correctly.

 

 

Re: Magento Community Edition 1.9.2 Update failed

i have copy all the files to my server and I still have the CONNECT ERROR: Package community/Interface_Adminhtml_Default failed: Unknown cipher in list: TLSv1" with magento connect

Re: Magento Community Edition 1.9.2 Update failed

Hi,

 

I upgraded and having same issue on live nginx server but working fine locally, strange Smiley Sad

Re: Magento Community Edition 1.9.2 Update failed

same problem here with a new install of magento 1.9.2.0 using

- php 5.4.42

- curl 7.40.0

- openssl 1.0.1k-fips

 

while everything runs fine on a system with

- php 5.4.34

- curl 7.36.0

- openssl 1.0.1j

 

Re: Magento Community Edition 1.9.2 Update failed

I ran into the same issue and downloader/lib/Mage/HTTP/Client/Curl.php around line 377 commented out:

 

$this->curlOption(CURLOPT_SSL_CIPHER_LIST, 'TLSv1');

 

After this I was able to connect again and update some extensions.

Re: Magento Community Edition 1.9.2 Update failed

I've actually changed that line with:

if(isset($var)){$this->curlOption(CURLOPT_SSL_CIPHER_LIST, 'TLSv1');}

and is working (I wasn't even able to install extensions through Magento Connect).

Re: Magento Community Edition 1.9.2 Update failed

 

I'm running also into this problem.

But in my curl there is nowhere a file with SSL or TLSv1 in it.

 

So i can't add:

$this->curlOption(CURLOPT_SSL_CIPHER_LIST, 'TLSv1');

 

Does anybody got another solution for the problem? I can't install any extensions at all now running 1.9.2

Or share a updated curl file with me?

 

Best, Arjan

Tags (2)

Re: Magento Community Edition 1.9.2 Update failed

the solution is already known , you have to remove that line or upgrade your servers openssl package,

you probably have this output, so you dont have openssl compiled/confiured into curl.

php -r "print_r(curl_version());"
Array
(
    [version_number] => 463623
    [age] => 3
    [features] => 1597
    [ssl_version_number] => 0
    [version] => 7.19.7
    [host] => x86_64-redhat-linux-gnu
    [ssl_version] => NSS/3.16.2.3 Basic ECC
    [libz_version] => 1.2.3
    [protocols] => Array
        (
            [0] => tftp
            [1] => ftp
            [2] => telnet
            [3] => dict
            [4] => ldap
            [5] => ldaps
            [6] => http
            [7] => file
            [8] => https
            [9] => ftps
            [10] => scp
            [11] => sftp
        )

)
------------
MagenX - Magento and Server optimization

Re: Magento Community Edition 1.9.2 Update failed

In 1.9.2.1 the file is located in downloader/lib/Mage/HTTP/Client/Curl.php